package com.ruoyi.cai.mq.handle.dto;

import com.ruoyi.cai.mq.dto.CommonConsumerEnum;
import com.ruoyi.cai.mq.dto.CommonDTO;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class WindowRechargeDTO extends CommonDTO  {
    private Long id;
    private String nickname;
    private String avatar;
    private Long amount;
    private LocalDateTime time;
    public WindowRechargeDTO() {
        this.setType(CommonConsumerEnum.WINDOW_RECHARGE);
        this.time = LocalDateTime.now();
    }
}
